using System;
using System.Text.RegularExpressions;

namespace HtmlScrubber
{
	public class ContentTransformation
	{
		public static ContentTransformation Empty = new ContentTransformation(null, null);

		private Regex regex;
		private string replacementPattern;

		public ContentTransformation(string regexPattern, string replacePattern)
		{
			if (regexPattern == null || replacePattern == null)
				return;
			this.regex = new Regex(regexPattern, RegexOptions.IgnoreCase | RegexOptions.Compiled);
			this.replacementPattern = replacePattern;
		}

		public virtual string Transform(string contents)
		{
			if (regex == null || replacementPattern == null)
				return contents;
			return regex.Replace(contents, replacementPattern);
		}
	}
}
