using System;
using System.IO;

namespace HtmlScrubber
{
	public class WlWCleanupFilter : TransformRequestFilterBase
	{
		public WlWCleanupFilter(Stream original) : base(original)
		{
		}

		protected override ContentTransformation[] GetTransformations()
		{
			return new ContentTransformation[]
			{
				new ContentTransformation(@"(\w)(')(\w)", "$1&#8217;$3")
				, new ContentTransformation(@"\s*atomicselection\s*=\s*"".*?""", string.Empty)
				, new ContentTransformation(@"(\w)(&nbsp;)(\w)", @"$1 $3")
				, new ContentTransformation(@"<p>\s*&nbsp;\s*</p>", string.Empty)
				, new ContentTransformation(
					@"(?<keep><div\s+class=""wlWriter.*?)""\s+(?<remove>id=""(?<id>.*?)""\s+contenteditable=""(?<editable>.*?)""\s+style="".*?"")",
					@"${keep} id-${id} contenteditable-${editable}""")
			};
		
		}
	}
}
